com.verisign.epp.codec.orgext

## Class EPPOrgExtUpdate

- java.lang.Object
- - com.verisign.epp.codec.orgext.EPPOrgExtUpdate

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPOrgExtUpdate
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPOrgExtCreate` is used in the extension to the update command to add, remove, and change organizations.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPOrgExtCreate`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPOrgExtCreate`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPOrgExtUpdate()` Default constructor for `EPPOrgExtCreate`.
    `EPPOrgExtUpdate(EPPOrgExtAddRemChg aAddOrgs, EPPOrgExtAddRemChg aRemOrgs, EPPOrgExtAddRemChg aChgOrgs)` constructor for `EPPOrgExtCreate` that takes the three set of organizations to add, remove, and change as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAddOrg(EPPOrgExtId aOrgId)` Adds an organization to the list of organizations to add.
    `void` | `addChgOrg(EPPOrgExtId aOrgId)` Adds an organization to the list of organizations to change.
    `void` | `addRemOrg(EPPOrgExtId aOrgId)` Adds an organization to the list of organizations to remove.
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPOrgExt` with this instance.
    `EPPOrgExtAddRemChg` | `getAddOrgs()` Gets the organizations to add.
    `EPPOrgExtAddRemChg` | `getChgOrgs()` Gets the organizations to change.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPOrgExtAddRemChg` | `getRemOrgs()` Gets the organizations to remove.
    `boolean` | `hasAddOrgs()` Are any add organizations defined?
    `boolean` | `hasChgOrgs()` Are any change organizations defined?
    `boolean` | `hasRemOrgs()` Are any remove organizations defined?
    `void` | `setAddOrgs(EPPOrgExtAddRemChg aAddOrgs)` Sets the organizations to add.
    `void` | `setChgOrgs(EPPOrgExtAddRemChg aChgOrgs)` Sets the organizations to change.
    `void` | `setRemOrgs(EPPOrgExtAddRemChg aRemOrgs)` Sets the organizations to remove.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgExtCreate`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgExtCreate`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgExtUpdate

          public EPPOrgExtUpdate()

      Default constructor for `EPPOrgExtCreate`.

    - #### EPPOrgExtUpdate

          public EPPOrgExtUpdate(EPPOrgExtAddRemChg aAddOrgs,
                                 EPPOrgExtAddRemChg aRemOrgs,
                                 EPPOrgExtAddRemChg aChgOrgs)

      constructor for `EPPOrgExtCreate` that takes the three set of organizations to add, remove, and change as parameters. A parameter can be set to `null` to be undefined.
      Parameters:
        `aAddOrgs` - Organizations to add. Set to `null` to be undefined.
        `aRemOrgs` - Organizations to remove. Set to `null` to be undefined.
        `aChgOrgs` - Organizations to change. Set to `null` to be undefined.

  - ### Method Detail

    - #### getAddOrgs

          public EPPOrgExtAddRemChg getAddOrgs()

      Gets the organizations to add.
      Returns:
        The organizations to add if defined; `null` otherwise.

    - #### setAddOrgs

          public void setAddOrgs(EPPOrgExtAddRemChg aAddOrgs)

      Sets the organizations to add.
      Parameters:
        `aAddOrgs` - The organizations to add. Set to `null` to clear the organizations.

    - #### addAddOrg

          public void addAddOrg(EPPOrgExtId aOrgId)

      Adds an organization to the list of organizations to add.
      Parameters:
        `aOrgId` - Organization to add

    - #### hasAddOrgs

          public boolean hasAddOrgs()

      Are any add organizations defined?
      Returns:
        `true` if add organizations are defined; `false` otherwise.

    - #### getRemOrgs

          public EPPOrgExtAddRemChg getRemOrgs()

      Gets the organizations to remove.
      Returns:
        The organizations to remove if defined; `null` otherwise.

    - #### setRemOrgs

          public void setRemOrgs(EPPOrgExtAddRemChg aRemOrgs)

      Sets the organizations to remove.
      Parameters:
        `aRemOrgs` - The organizations to remove. Set to `null` to clear the organizations.

    - #### addRemOrg

          public void addRemOrg(EPPOrgExtId aOrgId)

      Adds an organization to the list of organizations to remove.
      Parameters:
        `aOrgId` - Organization to remove

    - #### hasRemOrgs

          public boolean hasRemOrgs()

      Are any remove organizations defined?
      Returns:
        `true` if remove organizations are defined; `false` otherwise.

    - #### getChgOrgs

          public EPPOrgExtAddRemChg getChgOrgs()

      Gets the organizations to change.
      Returns:
        The organizations to change if defined; `null` otherwise.

    - #### setChgOrgs

          public void setChgOrgs(EPPOrgExtAddRemChg aChgOrgs)

      Sets the organizations to change.
      Parameters:
        `aChgOrgs` - The organizations to change. Set to `null` to clear the organizations.

    - #### addChgOrg

          public void addChgOrg(EPPOrgExtId aOrgId)

      Adds an organization to the list of organizations to change.
      Parameters:
        `aOrgId` - Organization to change

    - #### hasChgOrgs

          public boolean hasChgOrgs()

      Are any change organizations defined?
      Returns:
        `true` if change organizations are defined; `false` otherwise.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is updated and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPOrgExtCreate`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPOrgExt`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPOrgExt` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.